Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.property
Interface BoundPropertyListener

All Superinterfaces:
  EventListener, PropertyListener

All Known Implementing Classes:
  BoundPropertyAdapter

public interface BoundPropertyListener
extends PropertyListener

The listener interface for receiving bound property events (as well as property events).

Classes that are interested in processing a bound property event implement this interface, and register instance objects with a given `PropertyMap` or via `PropertyManager.addPropertyListener(PropertyListener)`.

Note that this is not the typical listener interface, as it extends from `PropertyListener`, and defines `getPropertyName()` which is not an event triggered method. This method serves to instruct the `PropertyMap` the listener is registered with, which property it will bind to.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon

Method Summary
`String` | `getPropertyName()` Get the property name which this listener is bound to.
`void` | `propertyBound(PropertyMap map)` Notifies that this listener was bound to a property.
`void` | `propertyUnbound(PropertyMap map)` Notifies that this listener was unbound from a property.

Methods inherited from interface org.jboss.util.property.PropertyListener
`propertyAdded, propertyChanged, propertyRemoved`

Method Detail

### getPropertyName

    public String getPropertyName()

  Get the property name which this listener is bound to.

  Returns:
    Property name.

### propertyBound

    public void propertyBound(PropertyMap map)

  Notifies that this listener was bound to a property.

  Parameters:
    `map` - `PropertyMap` which contains property bound to.

### propertyUnbound

    public void propertyUnbound(PropertyMap map)

  Notifies that this listener was unbound from a property.

  Parameters:
    `map` - `PropertyMap` which contains property bound to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.